const { contextBridge, ipcRenderer } = require('electron')

contextBridge.exposeInMainWorld('electronAPI', {
    openFile: (defaultPath) => ipcRenderer.invoke('dialog:openFile',defaultPath),
    openPath: (type) => ipcRenderer.invoke('dialog:handleOpenPath',type),
    triggerApi: (type,data) => ipcRenderer.invoke('triggerApi',type,data),
    saveConfig: (data) => ipcRenderer.invoke('saveConfig',data),
    getServerStatus: (type) => ipcRenderer.invoke('getServerStatus',type)
})
